package com.usky.system.service.task;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.utils.StringUtils;
import com.usky.common.core.util.HttpUtils;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

/**
 * 定时任务调度测试
 * 
 * @author ruoyi
 */
@Component("ryTask")
public class RyTask
{
    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i)
    {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params)
    {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams()
    {
        System.out.println("执行无参方法");
    }

    public void ryNoParams1()
    {
        System.out.println("执行无参方法1");
    }

    public void enterpriseIndependenceCompany(){
        System.out.println("企业自主管理-单位");
        String url = "http://qyxf.usky.cn/prod-api/service-fire/bscEnterpriseScreen/dataSynchro";
//        String url = "http://172.16.120.165:13200/prod-api/service-fire/bscEnterpriseScreen/dataSynchro";
        Map<String, String> map = new HashMap<>();
        map.put("User-Agent", "Apipost client Runtime/+https://www.apipost.cn/");
        map.put("Content-Type", "application/x-www-form-urlencoded");
        try {
            String res = HttpUtils.get(url, map);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void postInspectAnswerRequest(){
        System.out.println("值班查岗");
        String url = "http://qyxf.usky.cn/prod-api/service-fire/mhPostInspect/postInspectAnswerRequest";
//        String url = "http://172.16.120.165:13200/prod-api/service-fire/mhPostInspect/postInspectAnswerRequest";
        Map<String, String> map = new HashMap<>();
        map.put("User-Agent", "Apipost client Runtime/+https://www.apipost.cn/");
        map.put("Content-Type", "application/x-www-form-urlencoded");
        try {
            String res = HttpUtils.get(url, map);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void enterpriseIndependenceWhole(){
        System.out.println("企业自主管理-全部");
        String url = "http://qyxf.usky.cn/prod-api/service-fire/bscEnterpriseAutonomy/streetCompany";
//        String url = "http://172.16.120.165:13200/prod-api/service-fire/bscEnterpriseAutonomy/streetCompany";
        Map<String, String> map = new HashMap<>();
        map.put("User-Agent", "Apipost client Runtime/+https://www.apipost.cn/");
        map.put("Content-Type", "application/x-www-form-urlencoded");
        try {
            String res = HttpUtils.get(url, map);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void enterpriseIndependenceStreetTown(){
        System.out.println("企业自主管理-街镇");
        String url = "http://qyxf.usky.cn/prod-api/service-fire/bscEnterpriseStreetTown/streetCompany";
//        String url = "http://172.16.120.165:13200/prod-api/service-fire/bscEnterpriseStreetTown/streetCompany";
        Map<String, String> map = new HashMap<>();
        map.put("User-Agent", "Apipost client Runtime/+https://www.apipost.cn/");
        map.put("Content-Type", "application/x-www-form-urlencoded");
        try {
            String res = HttpUtils.get(url, map);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void lawEnforcement(){
        System.out.println("执法动态");
        String url = "http://qyxf.usky.cn/prod-api/service-fire/bscLawTrend/monthLaw";
//        String url = "http://172.16.120.165:13200/prod-api/service-fire/bscLawTrend/monthLaw";
        Map<String, String> map = new HashMap<>();
        map.put("User-Agent", "Apipost client Runtime/+https://www.apipost.cn/");
        map.put("Content-Type", "application/x-www-form-urlencoded");
        try {
            String res = HttpUtils.get(url, map);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
